* [gentoo-commits] repo/gentoo:master commit in: dev-libs/json-glib/
@ 2016-07-30 10:50 99% Pacho Ramos
0 siblings, 0 replies; 1+ results
From: Pacho Ramos @ 2016-07-30 10:50 UTC (permalink / raw
To: gentoo-commits
commit: b87a547af8eea84f62522d19f68cc27ee9159a53
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 30 10:09:36 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 10:49:41 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b87a547a
dev-libs/json-glib: Version bump
Package-Manager: portage-2.3.0
dev-libs/json-glib/Manifest | 1 +
dev-libs/json-glib/json-glib-1.2.2.ebuild | 55 +++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-libs/json-glib/Manifest b/dev-libs/json-glib/Manifest
index bdbea53..d0c77ec 100644
--- a/dev-libs/json-glib/Manifest
+++ b/dev-libs/json-glib/Manifest
@@ -1,2 +1,3 @@
DIST json-glib-1.0.4.tar.xz 557236 SHA256 80f3593cb6bd13f1465828e46a9f740e2e9bd3cd2257889442b3e62bd6de05cd SHA512 491a2353b7a82015516b5029d400874f35ba9d8ad914eb3f97e6106eaf2daa300147725ffbaaf5a67a6bf0da192beb47cd4edee47ecdb6a4be7dfd5f51463e5b WHIRLPOOL 337bdbd8108c5f94d212c0cb249f514aef10d5cc373ad24687cd52d115fd6c148d50aecfe664423c21f486b8ce2e88d4b8dffd18ac7d3a15332177c5aac88c25
DIST json-glib-1.2.0.tar.xz 585548 SHA256 99d6dfbe49c08fd7529f1fe8dcb1893b810a1bb222f1e7b65f41507658b8a7d3 SHA512 83202ca38ca72bda40f2ba1eb73603fb57a4801f06cddd15107ce69a79957b5f49753c22d708d74949f61219e38dbc37335b49930635631139889cd8df56abc0 WHIRLPOOL 8166181e3aa8b266f3d8eeed181ee75636da1e54e920e00b131999003469345bbf065918e05d6a0e21b5c57c1985e55cbe5d6ca9ade9b5b905fb5c0067d8d664
+DIST json-glib-1.2.2.tar.xz 590376 SHA256 ea128ab52a824fcd06e5448fbb2bd8d9a13740d51c66d445828edba71321a621 SHA512 04cbb303c4c6fc6e8af8bc25353b7aff7454250e317f29e4544e850c251aa8c6c88f81cbada8aafd42db637f5521814a86720b0784bc6f202cb222140e993bcf WHIRLPOOL ad5d0d092356beb03537cd07adde488d125487484b02be6e15329eb5d14b0f80f7967b7abee843cbb153da81e440f31787742f12378e6d7c28a152485acc035c
diff --git a/dev-libs/json-glib/json-glib-1.2.2.ebuild b/dev-libs/json-glib/json-glib-1.2.2.ebuild
new file mode 100644
index 0000000..13c9a63
--- /dev/null
+++ b/dev-libs/json-glib/json-glib-1.2.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="Library providing GLib serialization and deserialization for the JSON format"
+HOMEPAGE="https://wiki.gnome.org/Projects/JsonGlib"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="debug +introspection"
+
+RDEPEND="
+ >=dev-libs/glib-2.37.6:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+"
+DEPEND="${RDEPEND}
+ ~app-text/docbook-xml-dtd-4.1.2
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.20
+ >=sys-devel/gettext-0.18
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+ # Do not touch CFLAGS
+ sed -e 's/CFLAGS -g/CFLAGS/' -i "${S}"/configure || die
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # Coverage support is useless, and causes runtime problems
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --enable-man \
+ --disable-gcov \
+ $(usex debug --enable-debug=yes --enable-debug=minimum) \
+ $(multilib_native_use_enable introspection)
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/reference/html doc/reference/html || die
+ fi
+}
+
+multilib_src_compile() {
+ gnome2_src_compile
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2016-07-30 10:50 99% [gentoo-commits] repo/gentoo:master commit in: dev-libs/json-glib/ Pacho Ramos
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox